server:
  port: 8090
  appname:

spring:
  #应用名称
  application:
    name: Project-plateform
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      master:
        driverClassName: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://43.138.168.68:3306/smartsubstationdb?useUnicode=true&characterEncoding=UTF8&rewriteBatchedStatements=true
        username: root
        password: ylfw20230626@ #ylfw20230626@ #ylfw20230626@
        #initial-size: 5
       # max-active: 10
        #max-wait: 20000 # 最大等待时间，单位毫秒
        #min-idle: 2
        #time-between-eviction-runs-millis: 60000 # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        #min-evictable-idle-time-millis: 300000 # 配置一个连接在池中最小生存的时间，单位是毫秒
        backuppath:  d:\riis\databackup\

  # REDIS数据库配置
  redis:
    # [必须修改] Redis服务器IP, REDIS安装在本机的,使用127.0.0.1
    #host: 127.0.0.1  #82.156.18.154
    host: 127.0.0.1
    # [必须修改] 端口号
    port: 6379
    # [可选] 数据库 DB
    database: 0
    # [可选] 访问密码,若你的redis服务器没有设置密码，就不需要用密码去连接
   # password: ZGHszy741230
    # [可选] 超时时间
    timeout: 1000000
    # mysql数据源

  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 200MB
#  mail:
#    #smtp服务主机  qq邮箱则为smtp.qq.com
#    host: smtp.qq.com
#    #服务协议
#    protocol: smtp
#    # 编码集
#    default-encoding: UTF-8
#    #发送邮件的账户
#    username: 1750840654@qq.com
#    #授权码
#    password: nwsefzydtnwuehcd
#    test-connection: true
#    properties:
#      mail:
#        smtp:
#          auth: true
#          starttls:
#            enable: true
#            required: true
### 特殊情况下，查询结果返回List<Map>格式，会自动将查询结果为null的字段忽略，加入该配置则不会忽略
mybatis-plus:
  configuration:
    call-setters-on-nulls: true

logging:
  file:
    name: logs/projectname.log
  level:
    com.genersoft.iot: error
    com.genersoft.iot.vmp.storager.dao: info
    com.genersoft.iot.vmp.gb28181: info

# 在线文档： swagger-ui（生产环境建议关闭）
swagger-ui:
  enabled: true

# 登录相关配置
login:
  # 登录缓存
  cache-enable: true
  #  是否限制单用户登录
  single-login: false
  #  验证码
  login-code:
    #  验证码类型配置 查看 LoginProperties 类
    code-type: arithmetic
    #  登录图形验证码有效时间/分钟
    expiration: 2
    #  验证码高度
    width: 111
    #  验证码宽度
    heigth: 36
    # 内容长度
    length: 2
    # 字体名称，为空则使用默认字体
    font-name:
    # 字体大小
    font-size: 25
# IP 本地解析
ip:
  local-parsing: true

httpserver:  #配置http请求访问的地址
  monitorserver:  #视频监控服务器（与边缘节点同一IP）
    ip: 192.168.1.20
    port: 18080
    rtspport: 554
    appname:

  meidiaserver:   #流媒体服务器（与边缘节点同一IP）
    ip: 192.168.1.20
    port: 82
    secret: QUdZ1Gk4axB57kVvn0UKnzdGGHvpROvI

  analyseserver:   #智能分析主机服务器
    ip: 192.168.1.173
    port11: 20011  #分析调用端口
    port12: 20011  #静默监视任务端口
    port13: 20013  #算法更新端口
    callanalyse: true
  sdkserver: #第三方sdk服务
    ip: 192.168.1.20
    haikangport: 38083
    dahuaport: 38083
    heikaport: 38083
    haikangapp: riis-haikang
    dahuaapp: riis-dahua
    heikaapp: riis-heika
  dockserver: # 无人机机巢服务
    ip: 192.168.1.20
    port: 6789
    app:
  patrolserver:   #巡视主机服务器
    ip: 192.168.1.20
    httpport: 8090
    tcpport: 10014
    udpport: 8090
    appname:
    # 区域巡视主机唯一ID
    serverid: 34020000002000000001
    robotid: 34020000011700000001
    dotask: true  #是否执行定期任务
    snapfilepath: d:\riis\video\  #视频截图文件路径
    alarmfilepath: d:\riis\alarm\  #报警图片存储路径
    tempfilepath: d:\riis\temp\   #模板图片路径
    ffmpegpath:   E:\ffmpeg\bin\  #ffmpeg截图命名路径
    modelpath: d:\riis\model\
    documentpath: d:\riis\document\

    callmethod: 0 #热成像调用方式 0: 调用sdk, 1: 调用智能分析主机
    filefromtype: 3 # 1: 摄像机视频流截图, 2:机器人采集上传文件  3：测试检测目录文件
    testfilepath: d:\test\ #检测识别文件存放目录

algorithm:
  manufacturer:
    - ip: 192.168.1.20
      port: 20011
      name: 海康
      id: 1
    - ip: 192.168.1.19
      port: 20012
      name: 大华
      id: 2
    - ip: 192.168.1.19
      port: 20013
      name: 黑卡
      id: 3
#上级系统tcp服务配置
parentserver:
  serverip: 192.168.1.119
  serverid: 34020000012000000001
  tcpport: 10011
  ftpport: 2121
  ftpusername: admin
  ftppassword: admin

#算法管理平台服务配置
algorithmserver:
  serverip: 192.168.1.20
  ftpport: 2121
  ftpusername: admin
  ftppassword: admin
  httpport: 8090
  username: admin
  password: 123456

mqttserver:
  enable: false
  username: admin                       # 账号
  password: public                      # 密码
  host-url: tcp://82.156.18.154:1883        # mqtt连接tcp地址
  in-client-id: mqtt_client_patrolhost_001         # 随机值，使出入站 client ID 不同
  out-client-id: mqtt_client_parenthost_002
  client-id: ${random.int}                   # 客户端Id，不能相同，采用随机数 ${random.value}
  default-topic: nodes/java/user/#           # 默认主题-智巡系统
  timeout: 60                                # 超时时间
  keepalive: 60                              # 保持连接
  clearSession: true                         # 清除会话(设置为false,断开连接，重连后使用原来的会话 保留订阅的主题，能接收离线期间的消息)



#告警模板
alarmtemplate:
  #安全帽
  helmetcamera: '%s-%s的%s在%s，未戴安全帽的置信度为%s，判定为[%s]告警！'
  #工服
  clothcamera: '%s-%s的%s在%s，未穿工服的置信度为%s，判定为[%s]告警！'
  #人员闯入
  person_enter: '%s-%s的%s在%s，人员闯入了设定区域，置信度为%s，判定为[%s]告警！'
  #人员聚集
  intensivecamera: '%s-%s的%s在%s，人员聚集的识别人数为%s，判定为[%s]告警！'
  #烟火
  firecamera: '%s-%s的%s在%s，发生烟火的置信度为%s，判定为[%s]告警！'
  #渗漏油
  leakagecamera: '%s-%s的%s在%s，发生渗漏油的置信度为%s，判定为[%s]告警！'
  #渗漏油
  person_smoke: '%s-%s的%s在%s，人员吸烟的置信度为%s，判定为[%s]告警！'

file-space:  #项目文档空间
  files: d:\riis\files\ #单独上传的文件附件
  system: d:\riis\system\ #单独上传的文件
  confirmfilepath: d:\riis\confirm\   #一键顺控反馈确认文件路径
current-info:
  version: "20240102"
task:
  pool:
    # 核心线程池大小
    core-pool-size: 100
    # 最大线程数
    max-pool-size: 3000
    # 活跃时间
    keep-alive-seconds: 60
    # 队列容量
    queue-capacity: 50

sntp:
  server-ip: ntp1.aliyun.com
  server-port: 123

middle:
  enable: true
  #20个中台接口
  crud:
    platform: http://127.0.0.1:41009
    tenantId: f6a37f99af0511ecb85bfa163ec6349c
    tenantKey: MgIMP2WZfL3n5CY5NSM7hSQQVjAbljFwotiLzSL+lJYWSadcX0we2wffjyTUYGsK

# 腾讯云短信服务
tencent:
  sms:
    secret-id: "AKIDCICsLxKSM4Zq6QZVFl2745yeIwVxHRXk"
    secret-key: "84oNix8rU6lJtaBfx2yoY5VimhYUk1CW"
    sdk-app-id: 1400875404
    sign-name: "天宏博科技"
    # 模板ID映射，key任意设置，value为审核通过模板ID
    template-id-map:
      register: "2015902"
      login: "2018010"
      forgot: "2018723"
    # 以下两项非必填
#    senderid: ""
#    extend-code: ""
